=== debian/changelog ===
utf8proc (1.3.1-2) unstable; urgency=medium

  * Relax build-depends version for unicode-data.

 -- Peter Colberg <peter@colberg.org>  Fri, 06 Nov 2015 13:26:14 -0500

utf8proc (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #803681)

 -- Peter Colberg <peter@colberg.org>  Sun, 01 Nov 2015 13:30:40 -0500
