=== debian/control ===
Source: utf8proc
Priority: optional
Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
Uploaders: Peter Colberg <peter@colberg.org>, Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 9), unicode-data (>= 6.1.0), perl
Standards-Version: 3.9.6
Section: libs
Homepage: http://julialang.org/utf8proc/
Vcs-Git: git://anonscm.debian.org/pkg-julia/utf8proc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/utf8proc.git

Package: libutf8proc1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C library for processing UTF-8 Unicode data (shared library)
 utf8proc is a small, clean C library that provides Unicode normalization,
 case-folding, and other operations for data in the UTF-8 encoding, supporting
 Unicode version 8.0.
 .
 This package contains a shared version of the library.

Package: libutf8proc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libutf8proc1 (= ${binary:Version})
Description: C library for processing UTF-8 Unicode data (development files)
 utf8proc is a small, clean C library that provides Unicode normalization,
 case-folding, and other operations for data in the UTF-8 encoding, supporting
 Unicode version 8.0.
 .
 This package contains the development files needed to compile software using
 utf8proc.
