## utf8proc 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 project (utf8proc C)
 
 # Be sure to also update these in Makefile!
-set(SO_MAJOR 1)
-set(SO_MINOR 3)
+set(SO_MAJOR 2)
+set(SO_MINOR 0)
 set(SO_PATCH 1)
 
 add_definitions (
