=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 # not API compatibility: MAJOR should be incremented whenever *binary*
 # compatibility is broken, even if the API is backward-compatible
 # Be sure to also update these in MANIFEST and CMakeLists.txt!
-MAJOR=1
-MINOR=3
+MAJOR=2
+MINOR=0
 PATCH=1
 
 OS := $(shell uname)
