## utf8proc 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,12 @@
 
 project (utf8proc C)
 
-# Be sure to also update these in Makefile!
+# This is the ABI version number, which may differ from the
+# API version number (defined in utf8proc.h).
+# Be sure to also update these in Makefile and MANIFEST!
 set(SO_MAJOR 2)
 set(SO_MINOR 0)
-set(SO_PATCH 1)
+set(SO_PATCH 2)
 
 add_definitions (
   -DUTF8PROC_EXPORTS
