=== debian/changelog ===
utf8proc (2.0.2-1mx15+1) mx; urgency=medium

  * Repackaged for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 24 Feb 2019 19:19:23 -0800

utf8proc (2.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Peter Colberg <peter@colberg.org>  Sat, 30 Jul 2016 23:21:18 -0400
