=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: utf8proc
 Priority: optional
-Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>, Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 9), unicode-data (>= 6.1.0), perl
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+               perl,
+               unicode-data (<< 9.1),
+               unicode-data (>= 9.0)
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://julialang.org/utf8proc/
-Vcs-Git: git://anonscm.debian.org/pkg-julia/utf8proc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/utf8proc.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-julia/utf8proc.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-julia/utf8proc.git
 
-Package: libutf8proc1
+Package: libutf8proc2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -25,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libutf8proc1 (= ${binary:Version})
+Depends: libutf8proc2 (= ${binary:Version}), ${misc:Depends}
 Description: C library for processing UTF-8 Unicode data (development files)
  utf8proc is a small, clean C library that provides Unicode normalization,
  case-folding, and other operations for data in the UTF-8 encoding, supporting
