=== debian/changelog ===
utf8proc (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to unicode-data 10 (Closes: #867105)
  * Regenerate utf8proc_data.c from unicode-data 10 
  * Update debian/libutf8proc2.symbols
  * Switch to debhelper 10
  * Enable all hardening flags
  * Bump Standards-Version to 4.0.0
  * Update copyright, use https

 -- Graham Inggs <ginggs@debian.org>  Sat, 08 Jul 2017 10:47:15 +0200
