=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: utf8proc
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
+Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>, Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                perl,
-               unicode-data (<< 9.1),
-               unicode-data (>= 9.0)
-Standards-Version: 3.9.8
+               unicode-data (<< 10.1),
+               unicode-data (>= 10.0)
+Standards-Version: 4.0.0
 Section: libs
-Homepage: http://julialang.org/utf8proc/
+Homepage: https://julialang.org/utf8proc/
 Vcs-Git: https://anonscm.debian.org/git/pkg-julia/utf8proc.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-julia/utf8proc.git
