## utf8proc 2.2.0

=== debian/changelog ===
utf8proc (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches no longer needed, refresh remaining
  * Update debian/libutf8proc2.symbols
  * Update debian/copyright
  * New patch pass-hardening-flags.patch

 -- Graham Inggs <ginggs@debian.org>  Fri, 27 Jul 2018 10:17:12 +0000
