=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: utf8proc
 Priority: optional
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
-Uploaders: Peter Colberg <peter@colberg.org>, Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Peter Colberg <peter@colberg.org>,
+           Graham Inggs <ginggs@debian.org>,
+           Mo Zhou <cdluminate@gmail.com>,
+Build-Depends: debhelper (>= 11),
                perl,
-               unicode-data (<< 10.1),
-               unicode-data (>= 10.0)
-Standards-Version: 4.0.0
+               unicode-data (<< 11.1),
+               unicode-data (>= 11.0)
+Standards-Version: 4.1.5
 Section: libs
-Homepage: https://julialang.org/utf8proc/
-Vcs-Git: https://anonscm.debian.org/git/pkg-julia/utf8proc.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-julia/utf8proc.git
+Homepage: https://github.com/JuliaStrings/utf8proc
+Vcs-Git: https://salsa.debian.org/julia-team/utf8proc.git
+Vcs-Browser: https://salsa.debian.org/julia-team/utf8proc
 
 Package: libutf8proc2
 Architecture: any
