=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
            Mo Zhou <cdluminate@gmail.com>,
 Build-Depends: debhelper (>= 11),
                perl,
-               unicode-data (<< 11.1),
-               unicode-data (>= 11.0)
+               unicode-data (<< 12.2),
+               unicode-data (>= 12.1)
 Standards-Version: 4.1.5
 Section: libs
 Homepage: https://github.com/JuliaStrings/utf8proc
