## utf8proc 2.4.0

=== debian/changelog ===
utf8proc (2.4.0-2build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:20:52 +0000

utf8proc (2.4.0-2build1) focal; urgency=medium

  * No-change rebuild to restore i386 binaries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Jan 2020 02:00:33 +0000

utf8proc (2.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Mo Zhou ]
  * Update my mail address in control and copyright.
  * Initialize autopkgtest: compile and run upstream tests.

 -- Mo Zhou <lumin@debian.org>  Tue, 07 Jan 2020 14:56:30 +0800

utf8proc (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Bump Standards-Version to 4.4.0 (no change).
  * Delete d/compat in favor of debhelper-compat (= 11).
  * Update patches:
    * Rebase use-unicode-data.patch
    - Remove unicode-data-12.1.0pre1.patch
    - Remove utf8proc-unicode-version.patch

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 21 Aug 2019 14:41:53 +0000
