=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>,
            Graham Inggs <ginggs@debian.org>,
-           Mo Zhou <cdluminate@gmail.com>,
-Build-Depends: debhelper (>= 11),
+           Mo Zhou <lumin@debian.org>
+Build-Depends: debhelper-compat (= 12),
                perl,
                unicode-data (<< 12.2),
                unicode-data (>= 12.1)
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/JuliaStrings/utf8proc
 Vcs-Git: https://salsa.debian.org/julia-team/utf8proc.git
