=== debian/changelog ===
utf8proc (2.5.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh use-unicode-data.patch
  * Build with unicode-data 13.0 (Closes: #954131)
  * Set Rules-Requires-Root: no
  * Add Build-Depends-Package to libutf8proc2.symbols
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Mon, 30 Mar 2020 08:12:49 +0000
