=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
            Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 12),
                perl,
-               unicode-data (<< 12.2),
-               unicode-data (>= 12.1)
-Standards-Version: 4.4.1
+               unicode-data (<< 13.1),
+               unicode-data (>= 13.0)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/JuliaStrings/utf8proc
 Vcs-Git: https://salsa.debian.org/julia-team/utf8proc.git
