=== debian/tests/control ===
Test-Command: make -f debian/tests/Makefile
Depends: @, build-essential
Restrictions: allow-stderr
